Package org.h2.value

# Class ValueCollectionBase

java.lang.Object
org.h2.value.VersionedValue<Value>
org.h2.value.Value
org.h2.value.ValueCollectionBase

All Implemented Interfaces:
  `HasSQL`, `Typed`

Direct Known Subclasses:
  `ValueArray`, `ValueRow`

public abstract class ValueCollectionBase extends Value
Base class for ARRAY and ROW values.

## Field Summary

### Fields inherited from class org.h2.value.Value

`ARRAY, ASSIGN_TO, BIGINT, BINARY, BLOB, BOOLEAN, CAST_TO, CHAR, CLOB, CONVERT_TO, DATE, DECFLOAT, DOUBLE, EMPTY_VALUES, ENUM, GEOMETRY, INTEGER, INTERVAL_DAY, INTERVAL_DAY_TO_HOUR, INTERVAL_DAY_TO_MINUTE, INTERVAL_DAY_TO_SECOND, INTERVAL_HOUR, INTERVAL_HOUR_TO_MINUTE, INTERVAL_HOUR_TO_SECOND, INTERVAL_MINUTE, INTERVAL_MINUTE_TO_SECOND, INTERVAL_MONTH, INTERVAL_SECOND, INTERVAL_YEAR, INTERVAL_YEAR_TO_MONTH, JAVA_OBJECT, JSON, MAX_LONG_DECIMAL, MIN_LONG_DECIMAL, NULL, NUMERIC, REAL, ROW, SMALLINT, TIME, TIME_TZ, TIMESTAMP, TIMESTAMP_TZ, TINYINT, TYPE_COUNT, UNKNOWN, UUID, VARBINARY, VARCHAR, VARCHAR_IGNORECASE`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareWithNull(Value v, boolean forEquality, CastDataProvider provider, CompareMode compareMode)`
Compare this value against another value using the specified compare mode.
`boolean`
`containsNull()`
Returns true if this value is NULL or contains NULL value.
`Value[]`
`getList()`
`int`
`getMemory()`
Get the memory used by this object.
`int`
`hashCode()`

### Methods inherited from class org.h2.value.Value

`add, castTo, charLength, clearCache, compareTo, compareTypeSafe, convertForAssignTo, convertTo, convertTo, convertTo, convertTo, convertTo, convertToAnyArray, convertToAnyJson, convertToAnyRow, convertToBigint, convertToBoolean, convertToChar, convertToDate, convertToDouble, convertToEnum, convertToGeometry, convertToInt, convertToInt, convertToJavaObject, convertToJson, convertToLong, convertToReal, convertToSmallint, convertToTinyint, convertToUuid, divide, equals, getBigDecimal, getBoolean, getByte, getBytes, getBytesNoCopy, getDouble, getFloat, getHigherOrder, getInputStream, getInputStream, getInt, getLong, getReader, getReader, getShort, getSignum, getString, getType, getTypeName, getUnsupportedExceptionForOperation, getValueType, getValueWithFirstNull, isFalse, isTrue, modulus, multiply, negate, octetLength, subtract, toString`

### Methods inherited from class org.h2.value.VersionedValue

`getCommittedValue, getCurrentValue, getOperationId, isCommitted`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getSQL, getTraceSQL`

## Method Details

### getList

public Value[] getList()

### hashCode

public int hashCode()

Specified by:
  `hashCode` in class `Value`

### compareWithNull

public int compareWithNull(Value v, boolean forEquality, CastDataProvider provider, CompareMode compareMode)
Description copied from class: `Value`
Compare this value against another value using the specified compare mode.

Overrides:
  `compareWithNull` in class `Value`
Parameters:
  `v` - the other value
  `forEquality` - perform only check for equality
  `provider` - the cast information provider
  `compareMode` - the compare mode
Returns:
  0 if both values are equal, -1 if this value is smaller, 1 if other value is larger, `Integer.MIN_VALUE` if order is not defined due to NULL comparison

### containsNull

public boolean containsNull()
Description copied from class: `Value`
Returns true if this value is NULL or contains NULL value.

Overrides:
  `containsNull` in class `Value`
Returns:
  true if this value is NULL or contains NULL value

### getMemory

public int getMemory()
Description copied from class: `Value`
Get the memory used by this object.

Overrides:
  `getMemory` in class `Value`
Returns:
  the memory used in bytes